# vim: set ft=spec: -*- rpm-spec -*-
# $Id: ruby-locale,v 1.4 2004/09/13 10:27:07 raorn Exp $

%define module locale

Name: ruby-%module
Version: 0.1
Release: alt1.1

Summary: Adds setlocale(3) and nl_langinfo(3) to provide locale access
Group: Development/Ruby
License: Ruby
Url: http://raa.ruby-lang.org/project/ruby-locale/

Source: http://download.sf.net/%module/%module.tar.gz
Patch: locale-0.1-alt-nil-locale.patch

# Automatically added by buildreq on Mon Sep 13 2004 (-bi)
BuildRequires: ruby libruby-devel ruby-stdlibs

%description
This extension provides locale support in Ruby by providing access to
the localization calls "setlocale" and "nl_langinfo".

%prep
%setup -q -n %module
%patch -p1

%build
%ruby_configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%doc INSTALL.en Locale.rd README.en
%ruby_sitearchdir/%module.so

%changelog
* Mon Sep 13 2004 Sir Raorn <raorn@altlinux.ru> 0.1-alt1.1
- Allow pass nil to setlocale (stay close to setlocale(3))

* Mon Sep 13 2004 Sir Raorn <raorn@altlinux.ru> 0.1-alt1
- Built for Sisyphus



